netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
atp_packet.c File Reference
`#include <string.h>`
`#include <sys/types.h>`
`#include <sys/time.h>`
`#include <sys/uio.h>`
`#include <sys/param.h>`
`#include <netinet/in.h>`
`#include <netatalk/at.h>`
`#include <atalk/netddp.h>`
`#include <atalk/ddp.h>`
`#include <atalk/atp.h>`
`#include <atalk/util.h>`
`#include "atp_internals.h"`

## Macros
#define | SOCKLEN_T unsigned int

## Functions
void | atp_build_req_packet (struct atpbuf *pktbuf, uint16_t tid, uint8_t ctrl, struct atp_block *atpb)
void | atp_build_resp_packet (struct atpbuf *pktbuf, uint16_t tid, uint8_t ctrl, struct atp_block *atpb, uint8_t seqnum)
int | atp_recv_atp (ATP ah, struct sockaddr_at *fromaddr, uint8_t *func, uint16_t tid, char *rbuf, int wait)
int | at_addr_eq (struct sockaddr_at *paddr, struct sockaddr_at *saddr)

## Macro Definition Documentation

## ◆ SOCKLEN_T

#define SOCKLEN_T unsigned int

## Function Documentation

## ◆ at_addr_eq()

int at_addr_eq | ( | struct sockaddr_at * | paddr,
|  | struct sockaddr_at * | saddr )

## ◆ atp_build_req_packet()

void atp_build_req_packet | ( | struct atpbuf * | pktbuf,
|  | uint16_t | tid,
|  | uint8_t | ctrl,
|  | struct atp_block * | atpb )

## ◆ atp_build_resp_packet()

void atp_build_resp_packet | ( | struct atpbuf * | pktbuf,
|  | uint16_t | tid,
|  | uint8_t | ctrl,
|  | struct atp_block * | atpb,
|  | uint8_t | seqnum )

## ◆ atp_recv_atp()

int atp_recv_atp | ( | ATP | ah,
|  | struct sockaddr_at * | fromaddr,
|  | uint8_t * | func,
|  | uint16_t | tid,
|  | char * | rbuf,
|  | int | wait )